diff --git a/src/components/views/htCard.vue b/src/components/views/htCard.vue
index e7e94c6..d4fc88f 100644
--- a/src/components/views/htCard.vue
+++ b/src/components/views/htCard.vue
@@ -4,6 +4,7 @@
     scene="ht-tab"
     :title="`合同段：${contractName}`"
     :subtitle="`合同段ID：${contractId}`"
+    :meta-text="`合同段预算金额：${formatBudgetAmount(contractBudget)}`"
     :copy-text="contractId"
     :storage-key="`project-active-cat-${contractId}`"
     default-category="info"
@@ -12,14 +13,170 @@
 </template>
 
 <script setup lang="ts">
-import { markRaw, defineAsyncComponent, defineComponent, h, type Component } from 'vue';
+import { computed, markRaw, defineAsyncComponent, defineComponent, h, onActivated, onBeforeUnmount, onMounted, ref, watch, type Component } from 'vue';
 import TypeLine from '@/layout/typeLine.vue';
+import { useZxFwPricingStore } from '@/pinia/zxFwPricing'
+import { roundTo } from '@/lib/decimal'
+import { formatThousands } from '@/lib/numberFormat'
 
 // 1. 完善 Props 类型 + 添加校验（可选但推荐）
 const props = defineProps<{
   contractId: string; // 合同ID（必传）
   contractName: string; // 合同名称（必传）
+  projectInfoKey?: string; // 工作区基础信息键
+  projectScaleKey?: string | null; // 工作区规模信息键
+  projectConsultCategoryFactorKey?: string; // 工作区咨询分类系数键
+  projectMajorFactorKey?: string; // 工作区工程专业系数键
 }>();
+const zxFwPricingStore = useZxFwPricingStore()
+
+interface HtFeeMainRowLike {
+  id?: unknown
+}
+
+interface RateMethodStateLike {
+  budgetFee?: unknown
+}
+
+interface HourlyMethodRowLike {
+  serviceBudget?: unknown
+  adoptedBudgetUnitPrice?: unknown
+  personnelCount?: unknown
+  workdayCount?: unknown
+}
+
+interface HourlyMethodStateLike {
+  detailRows?: HourlyMethodRowLike[]
+}
+
+interface QuantityMethodRowLike {
+  id?: unknown
+  budgetFee?: unknown
+  quantity?: unknown
+  unitPrice?: unknown
+}
+
+interface QuantityMethodStateLike {
+  detailRows?: QuantityMethodRowLike[]
+}
+
+const contractBudget = ref<number | null>(null)
+let budgetRefreshTimer: ReturnType<typeof setTimeout> | null = null
+
+const toFiniteNumber = (value: unknown): number | null => {
+  if (value == null || value === '') return null
+  const num = Number(value)
+  return Number.isFinite(num) ? num : null
+}
+
+const formatBudgetAmount = (value: number | null | undefined) =>
+  typeof value === 'number' && Number.isFinite(value) ? `${formatThousands(value, 2)} 元` : '--'
+
+const sumHourlyMethodFee = (state: HourlyMethodStateLike | null): number | null => {
+  const rows = Array.isArray(state?.detailRows) ? state.detailRows : []
+  if (rows.length === 0) return null
+  let hasValid = false
+  let total = 0
+  for (const row of rows) {
+    const serviceBudget = toFiniteNumber(row?.serviceBudget)
+    if (serviceBudget != null) {
+      total += serviceBudget
+      hasValid = true
+      continue
+    }
+    const adopted = toFiniteNumber(row?.adoptedBudgetUnitPrice)
+    const personnel = toFiniteNumber(row?.personnelCount)
+    const workday = toFiniteNumber(row?.workdayCount)
+    if (adopted == null || personnel == null || workday == null) continue
+    total += adopted * personnel * workday
+    hasValid = true
+  }
+  return hasValid ? roundTo(total, 2) : null
+}
+
+const sumQuantityMethodFee = (state: QuantityMethodStateLike | null): number | null => {
+  const rows = Array.isArray(state?.detailRows) ? state.detailRows : []
+  if (rows.length === 0) return null
+  const subtotalRow = rows.find(row => String(row?.id || '') === 'fee-subtotal-fixed')
+  const subtotal = toFiniteNumber(subtotalRow?.budgetFee)
+  if (subtotal != null) return roundTo(subtotal, 2)
+  let hasValid = false
+  let total = 0
+  for (const row of rows) {
+    if (String(row?.id || '') === 'fee-subtotal-fixed') continue
+    const budget = toFiniteNumber(row?.budgetFee)
+    if (budget != null) {
+      total += budget
+      hasValid = true
+      continue
+    }
+    const quantity = toFiniteNumber(row?.quantity)
+    const unitPrice = toFiniteNumber(row?.unitPrice)
+    if (quantity == null || unitPrice == null) continue
+    total += quantity * unitPrice
+    hasValid = true
+  }
+  return hasValid ? roundTo(total, 2) : null
+}
+
+const loadHtMethodTotalByRow = async (mainStorageKey: string, rowId: string) => {
+  const [rateState, hourlyState, quantityState] = await Promise.all([
+    zxFwPricingStore.loadHtFeeMethodState<RateMethodStateLike>(mainStorageKey, rowId, 'rate-fee'),
+    zxFwPricingStore.loadHtFeeMethodState<HourlyMethodStateLike>(mainStorageKey, rowId, 'hourly-fee'),
+    zxFwPricingStore.loadHtFeeMethodState<QuantityMethodStateLike>(mainStorageKey, rowId, 'quantity-unit-price-fee')
+  ])
+  const parts = [
+    toFiniteNumber(rateState?.budgetFee),
+    sumHourlyMethodFee(hourlyState),
+    sumQuantityMethodFee(quantityState)
+  ]
+  const validParts = parts.filter((item): item is number => typeof item === 'number' && Number.isFinite(item))
+  if (validParts.length === 0) return null
+  return roundTo(validParts.reduce((sum, value) => sum + value, 0), 2)
+}
+
+const loadHtMainTotalFee = async (mainStorageKey: string) => {
+  const mainState = await zxFwPricingStore.loadHtFeeMainState<HtFeeMainRowLike>(mainStorageKey)
+  const rows = Array.isArray(mainState?.detailRows) ? mainState.detailRows : []
+  const rowIds = rows.map(row => String(row?.id || '').trim()).filter(Boolean)
+  if (rowIds.length === 0) return null
+  const rowTotals = await Promise.all(rowIds.map(rowId => loadHtMethodTotalByRow(mainStorageKey, rowId)))
+  const validTotals = rowTotals.filter((item): item is number => typeof item === 'number' && Number.isFinite(item))
+  if (validTotals.length === 0) return null
+  return roundTo(validTotals.reduce((sum, value) => sum + value, 0), 2)
+}
+
+const refreshContractBudget = async () => {
+  await zxFwPricingStore.loadContract(props.contractId)
+  const serviceFee = zxFwPricingStore.getBaseSubtotal(props.contractId)
+  const [additionalFee, reserveFee] = await Promise.all([
+    loadHtMainTotalFee(`htExtraFee-${props.contractId}-additional-work`),
+    loadHtMainTotalFee(`htExtraFee-${props.contractId}-reserve`)
+  ])
+  const parts = [serviceFee, additionalFee, reserveFee]
+  const validParts = parts.filter((item): item is number => typeof item === 'number' && Number.isFinite(item))
+  contractBudget.value = validParts.length === 0 ? null : roundTo(validParts.reduce((sum, value) => sum + value, 0), 2)
+}
+
+const budgetRefreshSignature = computed(() => {
+  const contractVersion = zxFwPricingStore.contractVersions[props.contractId] || 0
+  const additionalMainKey = `htExtraFee-${props.contractId}-additional-work`
+  const reserveMainKey = `htExtraFee-${props.contractId}-reserve`
+  const keyVersionEntries = Object.entries(zxFwPricingStore.keyVersions)
+  const methodKeySig = keyVersionEntries
+    .filter(([key]) => key.startsWith(`${additionalMainKey}-`) || key.startsWith(`${reserveMainKey}-`))
+    .sort((a, b) => a[0].localeCompare(b[0]))
+    .map(([key, version]) => `${key}:${version}`)
+    .join(',')
+  return `${contractVersion}:${zxFwPricingStore.getKeyVersion(additionalMainKey)}:${zxFwPricingStore.getKeyVersion(reserveMainKey)}:${methodKeySig}`
+})
+
+const scheduleRefreshContractBudget = () => {
+  if (budgetRefreshTimer) clearTimeout(budgetRefreshTimer)
+  budgetRefreshTimer = setTimeout(() => {
+    void refreshContractBudget()
+  }, 80)
+}
 
 // 2. 定义分类项的 TS 类型（核心：明确 categories 结构）
 interface XmCategoryItem {
@@ -39,7 +196,11 @@ const htView = markRaw(
           console.error('加载 htInfo 组件失败：', err);
         }
       });
-      return () => h(AsyncHtInfo, { contractId: props.contractId });
+      return () => h(AsyncHtInfo, {
+        contractId: props.contractId,
+        projectScaleKey: props.projectScaleKey,
+        projectInfoKey: props.projectInfoKey
+      });
     }
   })
 );
@@ -54,7 +215,11 @@ const zxfwView = markRaw(
           console.error('加载 zxFw 组件失败：', err);
         }
       });
-      return () => h(AsyncZxFw, { contractId: props.contractId, contractName: props.contractName });
+      return () => h(AsyncZxFw, {
+        contractId: props.contractId,
+        contractName: props.contractName,
+        projectInfoKey: props.projectInfoKey
+      });
     }
   })
 );
@@ -69,7 +234,11 @@ const consultCategoryFactorView = markRaw(
           console.error('加载 HtConsultCategoryFactor 组件失败：', err);
         }
       });
-      return () => h(AsyncHtConsultCategoryFactor, { contractId: props.contractId });
+      return () => h(AsyncHtConsultCategoryFactor, {
+        contractId: props.contractId,
+        projectInfoKey: props.projectInfoKey,
+        parentStorageKey: props.projectConsultCategoryFactorKey
+      });
     }
   })
 );
@@ -84,7 +253,11 @@ const majorFactorView = markRaw(
           console.error('加载 HtMajorFactor 组件失败：', err);
         }
       });
-      return () => h(AsyncHtMajorFactor, { contractId: props.contractId });
+      return () => h(AsyncHtMajorFactor, {
+        contractId: props.contractId,
+        projectInfoKey: props.projectInfoKey,
+        parentStorageKey: props.projectMajorFactorKey
+      });
     }
   })
 );
@@ -130,4 +303,21 @@ const xmCategories: XmCategoryItem[] = [
   { key: 'reserve-fee', label: '预备费', component: reserveFeeView },
 
 ];
+
+watch(budgetRefreshSignature, (next, prev) => {
+  if (next === prev) return
+  scheduleRefreshContractBudget()
+})
+
+onMounted(() => {
+  void refreshContractBudget()
+})
+
+onActivated(() => {
+  void refreshContractBudget()
+})
+
+onBeforeUnmount(() => {
+  if (budgetRefreshTimer) clearTimeout(budgetRefreshTimer)
+})
 </script>
diff --git a/src/components/views/htInfo.vue b/src/components/views/htInfo.vue
index 3a06cbd..7deeae0 100644
--- a/src/components/views/htInfo.vue
+++ b/src/components/views/htInfo.vue
@@ -5,13 +5,19 @@ import CommonAgGrid from '@/components/common/xmCommonAgGrid.vue'
 
 const props = defineProps<{
   contractId: string
+  projectScaleKey?: string | null
+  projectInfoKey?: string
 }>()
 const DB_KEY = computed(() => `ht-info-v3-${props.contractId}`)
-const XM_DB_KEY = 'xm-info-v3'
+const XM_DB_KEY = computed(() => {
+  if (props.projectScaleKey === null) return undefined
+  return props.projectScaleKey || 'xm-info-v3'
+})
+const BASE_INFO_KEY = computed(() => props.projectInfoKey || 'xm-base-info-v1')
 
 
 </script>
 
 <template>
-  <CommonAgGrid title="合同规模明细" :dbKey="DB_KEY" :xmInfoKey="XM_DB_KEY"/>
+  <CommonAgGrid title="合同规模明细" :dbKey="DB_KEY" :xmInfoKey="XM_DB_KEY" :base-info-key="BASE_INFO_KEY"/>
 </template>
diff --git a/src/components/views/info.vue b/src/components/views/info.vue
index 5a22445..55664ea 100644
--- a/src/components/views/info.vue
+++ b/src/components/views/info.vue
@@ -2,12 +2,7 @@
 import { parseDate } from '@internationalized/date'
 import { onMounted, ref, watch } from 'vue'
 import {
-  getMajorDictEntries,
-  getServiceDictEntries,
-  getIndustryTypeValue,
   industryTypeList,
-  isIndustryEnabledByType,
-  isMajorIdInIndustryScope
 } from '@/sql'
 import { useKvStore } from '@/pinia/kv'
 import { Calendar as CalendarIcon, CircleHelp } from 'lucide-vue-next'
@@ -45,31 +40,10 @@ interface XmInfoState {
 }
 
 type MajorParentNode = { id: string; name: string }
-type DictItemLite = {
-  code?: string
-  name?: string
-  defCoe?: number | null
-  notshowByzxflxs?: boolean
-}
-type FactorPersistRow = {
-  id: string
-  code: string
-  name: string
-  standardFactor: number | null
-  budgetValue: number | null
-  remark: string
-  path: string[]
-}
-type FactorPersistState = {
-  detailRows: FactorPersistRow[]
-}
 
 const DB_KEY = 'xm-base-info-v1'
-const XM_CONSULT_CATEGORY_FACTOR_KEY = 'xm-consult-category-factor-v1'
-const XM_MAJOR_FACTOR_KEY = 'xm-major-factor-v1'
 const DEFAULT_PROJECT_NAME = 'xxx造价咨询服务'
 const INDUSTRY_HINT_TEXT = '变更需要重置后重新选择'
-const PROJECT_INIT_CHANGED_EVENT = 'xm-project-init-changed'
 const getTodayDateString = () => {
   const now = new Date()
   const year = String(now.getFullYear())
@@ -79,8 +53,6 @@ const getTodayDateString = () => {
 }
 
 const isProjectInitialized = ref(false)
-const showCreateDialog = ref(false)
-const pendingIndustry = ref('')
 
 const projectName = ref('')
 const projectIndustry = ref('')
@@ -128,76 +100,6 @@ const majorParentCodeSet = new Set(majorParentNodes.map(item => item.id))
 const DEFAULT_PROJECT_INDUSTRY = majorParentNodes[0]?.id || ''
 const kvStore = useKvStore()
 
-const buildCodePath = (code: string, selfId: string, codeIdMap: Map<string, string>) => {
-  const parts = code.split('-').filter(Boolean)
-  if (!parts.length) return [selfId]
-  const path: string[] = []
-  let currentCode = parts[0]
-  const firstId = codeIdMap.get(currentCode)
-  if (firstId) path.push(firstId)
-  for (let i = 1; i < parts.length; i += 1) {
-    currentCode = `${currentCode}-${parts[i]}`
-    const id = codeIdMap.get(currentCode)
-    if (id) path.push(id)
-  }
-  if (!path.length || path[path.length - 1] !== selfId) path.push(selfId)
-  return path
-}
-
-const buildFactorRowsFromEntries = (entries: Array<{ id: string; item: DictItemLite }>): FactorPersistRow[] => {
-  const codeIdMap = new Map<string, string>()
-  for (const entry of entries) {
-    const code = String(entry.item?.code || '').trim()
-    if (!code) continue
-    codeIdMap.set(code, entry.id)
-  }
-  return entries
-    .map(entry => {
-      const code = String(entry.item?.code || '').trim()
-      const name = String(entry.item?.name || '').trim()
-      if (!code || !name) return null
-      const standardFactor =
-        typeof entry.item?.defCoe === 'number' && Number.isFinite(entry.item.defCoe)
-          ? entry.item.defCoe
-          : null
-      return {
-        id: entry.id,
-        code,
-        name,
-        standardFactor,
-        budgetValue: standardFactor,
-        remark: '',
-        path: buildCodePath(code, entry.id, codeIdMap)
-      }
-    })
-    .filter((item): item is FactorPersistRow => Boolean(item))
-}
-
-const initializeProjectFactorStates = async (industry: string) => {
-  const industryType = getIndustryTypeValue(industry)
-  const consultEntries = getServiceDictEntries()
-    .map(({ id, item }) => ({ id, item: item as DictItemLite }))
-    .filter(({ item }) => {
-      if (item.notshowByzxflxs === true) return false
-      return isIndustryEnabledByType(item as Record<string, unknown>, industryType)
-    })
-  const majorEntries = getMajorDictEntries()
-    .map(({ id, item }) => ({ id, item: item as DictItemLite }))
-    .filter(({ id, item }) => item.notshowByzxflxs !== true && isMajorIdInIndustryScope(id, industry))
-
-  const consultPayload: FactorPersistState = {
-    detailRows: buildFactorRowsFromEntries(consultEntries)
-  }
-  const majorPayload: FactorPersistState = {
-    detailRows: buildFactorRowsFromEntries(majorEntries)
-  }
-
-  await Promise.all([
-    kvStore.setItem(XM_CONSULT_CATEGORY_FACTOR_KEY, consultPayload),
-    kvStore.setItem(XM_MAJOR_FACTOR_KEY, majorPayload)
-  ])
-}
-
 const saveToIndexedDB = async () => {
   try {
     const payload: XmInfoState = {
@@ -268,38 +170,6 @@ const handleProjectNameBlur = () => {
   }
 }
 
-const openCreateDialog = () => {
-  pendingIndustry.value = DEFAULT_PROJECT_INDUSTRY
-  showCreateDialog.value = true
-}
-
-const closeCreateDialog = () => {
-  showCreateDialog.value = false
-}
-
-const createProject = async () => {
-  const selectedIndustry = majorParentCodeSet.has(pendingIndustry.value)
-    ? pendingIndustry.value
-    : DEFAULT_PROJECT_INDUSTRY
-
-  projectIndustry.value = selectedIndustry
-  projectName.value = DEFAULT_PROJECT_NAME
-  preparedBy.value = ''
-  reviewedBy.value = ''
-  preparedCompany.value = ''
-  preparedDate.value = getTodayDateString()
-  syncPreparedDatePickerFromString()
-  isProjectInitialized.value = true
-  showCreateDialog.value = false
-  await saveToIndexedDB()
-  try {
-    await initializeProjectFactorStates(selectedIndustry)
-  } catch (error) {
-    console.error('initializeProjectFactorStates failed:', error)
-  }
-  window.dispatchEvent(new CustomEvent<boolean>(PROJECT_INIT_CHANGED_EVENT, { detail: true }))
-}
-
 watch(
   [projectIndustry, projectName, preparedBy, reviewedBy, preparedCompany, preparedDate],
   schedulePersist
@@ -315,15 +185,9 @@ onMounted(async () => {
   <div class="space-y-6 h-full">
     <div
       v-if="!isProjectInitialized"
-      class=" bg-card p-10 h-full flex items-center justify-center"
+      class="rounded-xl border bg-card p-10 h-full flex items-center justify-center text-sm text-muted-foreground"
     >
-      <button
-        type="button"
-        class="cursor-pointer h-10 rounded-lg bg-primary px-6 text-sm font-medium text-primary-foreground transition hover:opacity-90"
-        @click="openCreateDialog"
-      >
-        新建项目
-      </button>
+      请从首页先新建项目后再进入此页面。
     </div>
 
     <div v-else class="rounded-xl border bg-card p-4 shadow-sm shrink-0 md:p-5">
@@ -516,44 +380,6 @@ onMounted(async () => {
         </div>
       </div>
     </div>
-
-    <div
-      v-if="showCreateDialog"
-      class="fixed inset-0 z-50 flex items-center justify-center bg-black/40 px-4"
-      @click.self="closeCreateDialog"
-    >
-      <div class="w-full max-w-lg rounded-xl border bg-card p-5 shadow-lg">
-        <h3 class="text-base font-semibold text-foreground">新建项目</h3>
-        <p class="mt-1 text-sm text-muted-foreground">请选择工程行业</p>
-        <div class="mt-4 max-h-72 space-y-2 overflow-auto rounded-lg border p-3">
-          <label
-            v-for="item in majorParentNodes"
-            :key="item.id"
-            class="flex cursor-pointer items-center gap-2 rounded-md px-2 py-1.5 hover:bg-muted/60"
-          >
-            <input v-model="pendingIndustry" type="radio" :value="item.id" class="h-4 w-4 accent-primary" />
-            <span class="text-sm text-foreground"> {{ item.name }}</span>
-          </label>
-        </div>
-        <div class="mt-5 flex justify-end gap-2">
-          <button
-            type="button"
-            class="cursor-pointer h-9 rounded-lg border px-4 text-sm text-foreground transition hover:bg-muted"
-            @click="closeCreateDialog"
-          >
-            取消
-          </button>
-          <button
-            type="button"
-            class="cursor-pointer h-9 rounded-lg bg-primary px-4 text-sm text-primary-foreground transition hover:opacity-90 disabled:cursor-not-allowed disabled:opacity-50"
-            :disabled="!pendingIndustry"
-            @click="createProject"
-          >
-            确定
-          </button>
-        </div>
-      </div>
-    </div>
   </div>
   </TooltipProvider>
 </template>
diff --git a/src/components/views/pricingView/InvestmentScalePricingPane.vue b/src/components/views/pricingView/InvestmentScalePricingPane.vue
index baea255..953c67b 100644
--- a/src/components/views/pricingView/InvestmentScalePricingPane.vue
+++ b/src/components/views/pricingView/InvestmentScalePricingPane.vue
@@ -92,6 +92,7 @@ interface ServiceLite {
 const props = defineProps<{
   contractId: string,
   serviceId: string | number
+  projectInfoKey?: string
 }>()
 const zxFwPricingStore = useZxFwPricingStore()
 const kvStore = useKvStore()
@@ -99,7 +100,7 @@ const DB_KEY = computed(() => `tzGMF-${props.contractId}-${props.serviceId}`)
 const HT_DB_KEY = computed(() => `ht-info-v3-${props.contractId}`)
 const HT_CONSULT_FACTOR_KEY = computed(() => `ht-consult-category-factor-v1-${props.contractId}`)
 const HT_MAJOR_FACTOR_KEY = computed(() => `ht-major-factor-v1-${props.contractId}`)
-const BASE_INFO_KEY = 'xm-base-info-v1'
+const BASE_INFO_KEY = computed(() => props.projectInfoKey || 'xm-base-info-v1')
 const activeIndustryCode = ref('')
 const PRICING_CLEAR_SKIP_PREFIX = 'pricing-clear-skip:'
 const PRICING_FORCE_DEFAULT_PREFIX = 'pricing-force-default:'
@@ -1149,7 +1150,7 @@ const applyProjectCountChange = async (nextValue: unknown) => {
 
 const loadFromIndexedDB = async () => {
   try {
-    const baseInfo = await kvStore.getItem<XmBaseInfoState>(BASE_INFO_KEY)
+    const baseInfo = await kvStore.getItem<XmBaseInfoState>(BASE_INFO_KEY.value)
     activeIndustryCode.value =
       typeof baseInfo?.projectIndustry === 'string' ? baseInfo.projectIndustry.trim() : ''
     projectCount.value = 1
@@ -1214,7 +1215,7 @@ const loadFromIndexedDB = async () => {
 
 const importContractData = async () => {
   try {
-    const baseInfo = await kvStore.getItem<XmBaseInfoState>(BASE_INFO_KEY)
+    const baseInfo = await kvStore.getItem<XmBaseInfoState>(BASE_INFO_KEY.value)
     activeIndustryCode.value =
       typeof baseInfo?.projectIndustry === 'string' ? baseInfo.projectIndustry.trim() : ''
 
diff --git a/src/components/views/pricingView/LandScalePricingPane.vue b/src/components/views/pricingView/LandScalePricingPane.vue
index 0761337..217b53a 100644
--- a/src/components/views/pricingView/LandScalePricingPane.vue
+++ b/src/components/views/pricingView/LandScalePricingPane.vue
@@ -92,6 +92,7 @@ interface ServiceLite {
 const props = defineProps<{
   contractId: string,
   serviceId: string | number
+  projectInfoKey?: string
 }>()
 const zxFwPricingStore = useZxFwPricingStore()
 const kvStore = useKvStore()
@@ -99,7 +100,7 @@ const DB_KEY = computed(() => `ydGMF-${props.contractId}-${props.serviceId}`)
 const HT_DB_KEY = computed(() => `ht-info-v3-${props.contractId}`)
 const HT_CONSULT_FACTOR_KEY = computed(() => `ht-consult-category-factor-v1-${props.contractId}`)
 const HT_MAJOR_FACTOR_KEY = computed(() => `ht-major-factor-v1-${props.contractId}`)
-const BASE_INFO_KEY = 'xm-base-info-v1'
+const BASE_INFO_KEY = computed(() => props.projectInfoKey || 'xm-base-info-v1')
 const activeIndustryCode = ref('')
 const PRICING_CLEAR_SKIP_PREFIX = 'pricing-clear-skip:'
 const PRICING_FORCE_DEFAULT_PREFIX = 'pricing-force-default:'
@@ -997,7 +998,7 @@ const applyProjectCountChange = async (nextValue: unknown) => {
 
 const loadFromIndexedDB = async () => {
   try {
-    const baseInfo = await kvStore.getItem<XmBaseInfoState>(BASE_INFO_KEY)
+    const baseInfo = await kvStore.getItem<XmBaseInfoState>(BASE_INFO_KEY.value)
     activeIndustryCode.value =
       typeof baseInfo?.projectIndustry === 'string' ? baseInfo.projectIndustry.trim() : ''
     projectCount.value = 1
@@ -1049,7 +1050,7 @@ const loadFromIndexedDB = async () => {
 
 const importContractData = async () => {
   try {
-    const baseInfo = await kvStore.getItem<XmBaseInfoState>(BASE_INFO_KEY)
+    const baseInfo = await kvStore.getItem<XmBaseInfoState>(BASE_INFO_KEY.value)
     activeIndustryCode.value =
       typeof baseInfo?.projectIndustry === 'string' ? baseInfo.projectIndustry.trim() : ''
 
diff --git a/src/components/views/xmCard.vue b/src/components/views/xmCard.vue
index 3885488..c472fbb 100644
--- a/src/components/views/xmCard.vue
+++ b/src/components/views/xmCard.vue
@@ -3,17 +3,14 @@
     scene="xm-tab"
     title=""
     storage-key="project-active-cat"
-    default-category="info"
+    default-category="scale-info"
     :categories="xmCategories"
   />
 </template>
 
 <script setup lang="ts">
-import { computed, defineAsyncComponent, markRaw, onBeforeUnmount, onMounted, ref } from 'vue'
+import { defineAsyncComponent, markRaw } from 'vue'
 import TypeLine from '@/layout/typeLine.vue'
-import { useKvStore } from '@/pinia/kv'
-
-const infoView = markRaw(defineAsyncComponent(() => import('@/components/views/info.vue')))
 const scaleInfoView = markRaw(defineAsyncComponent(() => import('@/components/views/xmInfo.vue')))
 const htView = markRaw(defineAsyncComponent(() => import('@/components/views/Ht.vue')))
 const consultCategoryFactorView = markRaw(
@@ -23,49 +20,10 @@ const majorFactorView = markRaw(
   defineAsyncComponent(() => import('@/components/views/XmMajorFactor.vue'))
 )
 
-const PROJECT_INFO_KEY = 'xm-base-info-v1'
-const PROJECT_INIT_CHANGED_EVENT = 'xm-project-init-changed'
-
-const hasProjectBaseInfo = ref(false)
-const kvStore = useKvStore()
-
-const fullXmCategories = [
-  { key: 'info', label: '基础信息', component: infoView },
-  { key: 'contract', label: '合同段管理', component: htView },
+const xmCategories = [
   { key: 'scale-info', label: '规模信息', component: scaleInfoView },
   { key: 'consult-category-factor', label: '咨询分类系数', component: consultCategoryFactorView },
-  { key: 'major-factor', label: '工程专业系数', component: majorFactorView }
+  { key: 'major-factor', label: '工程专业系数', component: majorFactorView },
+  { key: 'contract', label: '合同段管理', component: htView }
 ]
-
-const xmCategories = computed(() =>
-  hasProjectBaseInfo.value ? fullXmCategories : [fullXmCategories[0]]
-)
-
-const refreshProjectBaseInfoState = async () => {
-  try {
-    const data = await kvStore.getItem(PROJECT_INFO_KEY)
-    hasProjectBaseInfo.value = Boolean(data)
-  } catch (error) {
-    console.error('read project base info failed:', error)
-    hasProjectBaseInfo.value = false
-  }
-}
-
-const handleProjectInitChanged = (event: Event) => {
-  const detail = (event as CustomEvent<boolean>).detail
-  if (typeof detail === 'boolean') {
-    hasProjectBaseInfo.value = detail
-    return
-  }
-  void refreshProjectBaseInfoState()
-}
-
-onMounted(() => {
-  void refreshProjectBaseInfoState()
-  window.addEventListener(PROJECT_INIT_CHANGED_EVENT, handleProjectInitChanged as EventListener)
-})
-
-onBeforeUnmount(() => {
-  window.removeEventListener(PROJECT_INIT_CHANGED_EVENT, handleProjectInitChanged as EventListener)
-})
 </script>
diff --git a/src/components/views/zxFw.vue b/src/components/views/zxFw.vue
index cd328b4..f603eb0 100644
--- a/src/components/views/zxFw.vue
+++ b/src/components/views/zxFw.vue
@@ -74,11 +74,12 @@ interface ServiceMethodType {
 const props = defineProps<{
   contractId: string
   contractName?: string
+  projectInfoKey?: string
 }>()
 const tabStore = useTabStore()
 const zxFwPricingStore = useZxFwPricingStore()
 const kvStore = useKvStore()
-const PROJECT_INFO_KEY = 'xm-base-info-v1'
+const PROJECT_INFO_KEY = computed(() => props.projectInfoKey || 'xm-base-info-v1')
 const PRICING_CLEAR_SKIP_PREFIX = 'pricing-clear-skip:'
 const PRICING_FORCE_DEFAULT_PREFIX = 'pricing-force-default:'
 const PRICING_CLEAR_SKIP_TTL_MS = 5000
@@ -500,7 +501,8 @@ const openEditTab = (row: DetailRow) => {
       contractName: props.contractName || '',
       serviceId: row.id,
       fwName: row.code + row.name,
-      type: serviceType ? { ...serviceType } : undefined
+      type: serviceType ? { ...serviceType } : undefined,
+      projectInfoKey: props.projectInfoKey
     }
   })
 }
@@ -1098,7 +1100,7 @@ const initializeContractState = async () => {
 
 const loadProjectIndustry = async () => {
   try {
-    const data = await kvStore.getItem<XmBaseInfoState>(PROJECT_INFO_KEY)
+    const data = await kvStore.getItem<XmBaseInfoState>(PROJECT_INFO_KEY.value)
     projectIndustry.value =
       typeof data?.projectIndustry === 'string' ? data.projectIndustry.trim() : ''
   } catch (error) {
